org.gicentre.utils.move

## Enum ZoomPan.ZoomPanDirection

- java.lang.Object
- - java.lang.Enum<ZoomPan.ZoomPanDirection>
  - - org.gicentre.utils.move.ZoomPan.ZoomPanDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ZoomPan.ZoomPanDirection>
  Enclosing class:
    ZoomPan

      public static enum ZoomPan.ZoomPanDirection
      extends java.lang.Enum<ZoomPan.ZoomPanDirection>

  Enumerates zooming and panning constraints.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ZOOM_HORIZONTAL_PAN_BOTH` Zoom in horizontal direction only (x), pan in both.
    `ZOOM_PAN_BOTH` Zooming and panning in both directions.
    `ZOOM_PAN_HORIZONTAL` Only zoom and pan in a horizontal direction (x).
    `ZOOM_PAN_VERTICAL` Only zoom and pan in a vertical direction (y).
    `ZOOM_VERTICAL_PAN_BOTH` Zoom in vertical direction only (y), pan in both.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ZoomPan.ZoomPanDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ZoomPan.ZoomPanDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ZOOM_PAN_BOTH

          public static final ZoomPan.ZoomPanDirection ZOOM_PAN_BOTH

      Zooming and panning in both directions. The default.

    - #### ZOOM_PAN_VERTICAL

          public static final ZoomPan.ZoomPanDirection ZOOM_PAN_VERTICAL

      Only zoom and pan in a vertical direction (y).

    - #### ZOOM_PAN_HORIZONTAL

          public static final ZoomPan.ZoomPanDirection ZOOM_PAN_HORIZONTAL

      Only zoom and pan in a horizontal direction (x).

    - #### ZOOM_VERTICAL_PAN_BOTH

          public static final ZoomPan.ZoomPanDirection ZOOM_VERTICAL_PAN_BOTH

      Zoom in vertical direction only (y), pan in both.

    - #### ZOOM_HORIZONTAL_PAN_BOTH

          public static final ZoomPan.ZoomPanDirection ZOOM_HORIZONTAL_PAN_BOTH

      Zoom in horizontal direction only (x), pan in both.

  - ### Method Detail

    - #### values

          public static ZoomPan.ZoomPanDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ZoomPan.ZoomPanDirection c : ZoomPan.ZoomPanDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ZoomPan.ZoomPanDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null